summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2014-03-16 16:41:44 +0100
committerBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2014-03-16 16:41:44 +0100
commit2c9da7ddd67caa568bf5f0f504b8fe9efcb7f9a9 (patch)
treebf0dd03276c22f966d5727ededb05c7afffb1270 /testing
parentfa0e5b2896461621527bd633739dad55cb9383fb (diff)
downloadaports-2c9da7ddd67caa568bf5f0f504b8fe9efcb7f9a9.tar.bz2
aports-2c9da7ddd67caa568bf5f0f504b8fe9efcb7f9a9.tar.xz
testing/hplip: new aport
Diffstat (limited to 'testing')
-rw-r--r--testing/hplip/APKBUILD57
-rw-r--r--testing/hplip/disable_upgrade.patch14
2 files changed, 71 insertions, 0 deletions
diff --git a/testing/hplip/APKBUILD b/testing/hplip/APKBUILD
new file mode 100644
index 000000000..d3194d831
--- /dev/null
+++ b/testing/hplip/APKBUILD
@@ -0,0 +1,57 @@
+# Maintainer:
+# Contributor: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
+
+pkgname=hplip
+pkgver=3.14.3
+pkgrel=0
+pkgdesc='Drivers for HP printers'
+arch=all
+url='http://hplipopensource.com'
+license='GPL'
+depends='python'
+makedepends='libjpeg-turbo-dev net-snmp-dev cups-dev libusbx-dev python-dev'
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ disable_upgrade.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ local i
+ cd "$_builddir"
+ update_config_sub || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --disable-qt4 \
+ --disable-scan-build \
+ --disable-fax-build \
+ --disable-dbus-build \
+ --enable-cups-ppd-install \
+ --enable-foomatic-ppd-install \
+ --enable-foomatic-drv-install \
+ || return 1
+ make || return 1
+}
+
+package() {
+ make -C "$_builddir" DESTDIR="$pkgdir" install || return 1
+
+ cd "$pkgdir"
+ rm -rf etc/sane.d etc/xdg usr/share/hal etc/init.d etc/udev
+ find . -name \*.la -delete
+}
+
+md5sums="a0ae59a75d202b92738dc24610b98428 hplip-3.14.3.tar.gz
+65bddd5951bd2d12a26bbf7b51bcab27 disable_upgrade.patch"
+sha256sums="1805b103639b51b9d908921e1e77db66c6e78b792aa51e405a5415e8e1c55e6e hplip-3.14.3.tar.gz
+b3f8d91a07216e6aad4dbfdb79ae19496b03c29f56444059b9b93a32c86ceb8e disable_upgrade.patch"
+sha512sums="c51ee7ff1255d56b271a2d2072fb7cdf62ccece323fe4814cdfb2a93fa97144dd83343f09bc5fdcc7e757c3ba16d3158c239689e0324fb2d9295917f94153dea hplip-3.14.3.tar.gz
+57e14c581e82a0dd44344524dc4eb4d845843cf0775b60475541cabfb9d67a4fdab501be3977f8ca9888fbbee4d0392e6068c788e7a85cf4c1add5848be21ae7 disable_upgrade.patch"
diff --git a/testing/hplip/disable_upgrade.patch b/testing/hplip/disable_upgrade.patch
new file mode 100644
index 000000000..f95b4dfe4
--- /dev/null
+++ b/testing/hplip/disable_upgrade.patch
@@ -0,0 +1,14 @@
+--- a/upgrade.py 2013-10-31 12:46:54.000000000 +0100
++++ b/upgrade.py 2013-12-04 14:58:03.000000000 +0100
+@@ -134,6 +134,11 @@ except getopt.GetoptError, e:
+ if os.getenv("HPLIP_DEBUG"):
+ log.set_level('debug')
+
++
++log.error("HPLIP upgrade is disabled by Alpine Linux for security reasons, see https://bugs.archlinux.org/task/38083")
++clean_exit(1)
++
++
+ for o, a in opts:
+ if o in ('-h', '--help'):
+ usage()